Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class XmlNodePrinter.NamespaceContext

    java.lang.Object
      groovy.util.XmlNodePrinter.NamespaceContext

Enclosing class:
  XmlNodePrinter

    protected class XmlNodePrinter.NamespaceContext
    extends Object

Constructor Summary
Constructor and Description
`XmlNodePrinter.NamespaceContext()`
`XmlNodePrinter.NamespaceContext(XmlNodePrinter.NamespaceContext context)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`String` | `getNamespace(String prefix)`
`boolean` | `isPrefixRegistered(String prefix, String uri)`
`void` | `registerNamespacePrefix(String prefix, String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlNodePrinter.NamespaceContext

    public XmlNodePrinter.NamespaceContext()

### XmlNodePrinter.NamespaceContext

    public XmlNodePrinter.NamespaceContext(XmlNodePrinter.NamespaceContext context)

Method Detail

### isPrefixRegistered

    public boolean isPrefixRegistered(String prefix,
                                      String uri)

### registerNamespacePrefix

    public void registerNamespacePrefix(String prefix,
                                        String uri)

### getNamespace

    public String getNamespace(String prefix)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD